Search API Tokens

Search API Tokens
Search API Tokens

Search API Tokens with filter and sort on specific attributes

Request
URI
POST
https://{api_host}/acs/t/{tenant}/api-tokens/search
COPY
Path Parameters
string
tenant
Required

The VMware Identity Services tenant ID

tenant example
my-tenant
Query Parameters
integer
startIndex
Optional
Constraints: default: 1

The index of the page. Pages start with index 1.

startIndex example
1
integer
pageSize
Optional
Constraints: default: 20

Number of results per page.

pageSize example
20

Request Body
SearchAPITokensRequestMedia of type(s) application/vnd.vmware.vidm.api-tokens.search.request+json
Optional
{
    "_links": {
        "self": {
            "href": "https://example.com/path-to-self"
        }
    },
    "sort_by": "string",
    "sort_order": "string",
    "and": [
        {
            "key": "string",
            "values": [
                "string"
            ],
            "operator": "string"
        }
    ],
    "or": [
        {
            "key": "string",
            "values": [
                "string"
            ],
            "operator": "string"
        }
    ]
}
object
_links
Optional

The resource HATEOAS links. Usually includes a "self" link for this resource

string
sort_by
Optional

Sort by token display name by default

Possible values are : created_date, expiration_date, last_access_time, access_token_ttl, token_display_name, token_sub_type, token_status,
string
sort_order
Optional

asc order by default

Possible values are : asc, desc,
array of object
and
Optional

and

array of object
or
Optional

or

Authentication
This operation uses the following authentication methods.
Responses
200

Results returned successfully

Returns SearchAPITokensSummaryListMedia of type(s) application/vnd.vmware.vidm.api-tokens.search.summary.list+json
{
    "items": [
        {
            "_links": {
                "self": {
                    "href": "https://example.com/path-to-self"
                }
            },
            "id": "string",
            "client_display_name": "string",
            "client_id": "string",
            "client_type": "string",
            "token_display_name": "string",
            "token_type": "string",
            "token_sub_type": "string",
            "token_suffix": "string",
            "api_token_ttl": 0,
            "access_token_ttl": 0,
            "acct": "string",
            "user_status": false,
            "expiration_date": "string",
            "last_access_time": "string",
            "created_date": "string",
            "modified_date": "string",
            "token_status": "string",
            "token_description": "string",
            "principal_name": "string",
            "principal_status": "string",
            "roles": [
                {
                    "value": "string",
                    "display": "string",
                    "type": "string",
                    "primary": false
                }
            ],
            "user_id": "string",
            "client_uuid": "string"
        }
    ],
    "totalCount": 0,
    "pageNumber": 0,
    "totalPages": 0,
    "pageSize": 0,
    "_links": {
        "self": {
            "href": "https://example.com/path-to-self"
        }
    }
}

400

Invalid

Operation doesn't return any data structure

401

Auth token is missing or not valid

Operation doesn't return any data structure

404

Not found

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/vnd.vmware.vidm.api-tokens.search.request+json' -d '{}' https://{api_host}/acs/t/{tenant}/api-tokens/search